varying vec2 texCoord;
uniform sampler2D colorMap1;
uniform sampler2D colorMap2;
uniform float blurframes;

/*
void main (void)
{
	gl_FragColor = texture2D(colorMap, texCoord);
}
*/

void main (void)
{
//vec2 nutexcoord;
vec4 pixelcolor1;
vec4 pixelcolor2;
	//nutexcoord=texCoord; nutexcoord.x=1.0-nutexcoord.x;
	pixelcolor1 = texture2D(colorMap1, texCoord);
	pixelcolor2 = texture2D(colorMap2, texCoord)/blurframes;//blurframes
	gl_FragColor = pixelcolor1 + pixelcolor2;

	//gl_FragColor = texture2D(colorMap, texCoord);
	//gl_FragColor = texture2D(colorMap, nutexcoord);
}
